import { b as EmbedScriptRequest$1, a as EmbedScriptResponse$1, c as GetEmbeddedScriptRequest$1, d as GetEmbeddedScriptResponse$1 } from './devcenter-scripts-v1-script-properties-embedded-scripts.universal-CSzJZddh.js';

interface ScriptProperties {
    /** Script parameters. */
    parameters?: Record<string, string>;
    /** Whether script is disabled or not. Default: `false` (not disabled). */
    disabled?: boolean;
}
interface EmbedScriptRequest {
    /** Details of the script to embed. */
    properties: ScriptProperties;
    /**
     * Component ID of the embedded script. Available as a query parameter in the embedded script's extension page in the app dashboard.
     * @format GUID
     */
    componentId?: string | null;
}
interface EmbedScriptResponse {
    /** Details of the embedded script. */
    properties?: ScriptProperties;
}
interface GetEmbeddedScriptRequest {
    /**
     * Component ID of the embedded script to retrieve. Available as a query parameter in the embedded script's extension page in the app dashboard.
     * @format GUID
     */
    componentId?: string | null;
}
interface GetEmbeddedScriptResponse {
    /** Details of the retrieved embedded script. */
    properties?: ScriptProperties;
}

type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
declare function embedScript(): __PublicMethodMetaInfo<'POST', {}, EmbedScriptRequest$1, EmbedScriptRequest, EmbedScriptResponse$1, EmbedScriptResponse>;
declare function getEmbeddedScript(): __PublicMethodMetaInfo<'GET', {}, GetEmbeddedScriptRequest$1, GetEmbeddedScriptRequest, GetEmbeddedScriptResponse$1, GetEmbeddedScriptResponse>;

export { type __PublicMethodMetaInfo, embedScript, getEmbeddedScript };
