import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { S as ScriptProperties, E as EmbedScriptOptions, a as EmbedScriptResponse, G as GetEmbeddedScriptOptions } from './devcenter-scripts-v1-script-properties-embedded-scripts.universal-CSzJZddh.mjs';
export { e as EmbedScriptByInstanceIdRequest, b as EmbedScriptRequest, f as GetEmbeddedScriptByInstanceIdRequest, c as GetEmbeddedScriptRequest, d as GetEmbeddedScriptResponse } from './devcenter-scripts-v1-script-properties-embedded-scripts.universal-CSzJZddh.mjs';

declare function embedScript$1(httpClient: HttpClient): EmbedScriptSignature;
interface EmbedScriptSignature {
    /**
     * Inserts custom script tags into a site, with the specified values for any dynamic parameters. Call this method when your app is installed on a site.
     *
     * Your app must have an existing
     * [embedded script component](https://dev.wix.com/docs/build-apps/develop-your-app/extensions/site-extensions/embedded-scripts/about-embedded-scripts),
     * with exactly matching parameter names.
     * @param - Details of the script to embed.
     */
    (properties: ScriptProperties, options?: EmbedScriptOptions | undefined): Promise<EmbedScriptResponse>;
}
declare function getEmbeddedScript$1(httpClient: HttpClient): GetEmbeddedScriptSignature;
interface GetEmbeddedScriptSignature {
    /**
     * Retrieves information about your app's existing embedded script.
     *
     * If your app doesn't have an embedded script on the relevant site, a `404` error is returned.
     * @returns Details of the retrieved embedded script.
     */
    (options?: GetEmbeddedScriptOptions | undefined): Promise<ScriptProperties>;
}

declare const embedScript: MaybeContext<BuildRESTFunction<typeof embedScript$1> & typeof embedScript$1>;
declare const getEmbeddedScript: MaybeContext<BuildRESTFunction<typeof getEmbeddedScript$1> & typeof getEmbeddedScript$1>;

export { EmbedScriptOptions, EmbedScriptResponse, GetEmbeddedScriptOptions, ScriptProperties, embedScript, getEmbeddedScript };
