"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var index_exports = {};
__export(index_exports, {
  embedScript: () => embedScript4,
  getEmbeddedScript: () => getEmbeddedScript4
});
module.exports = __toCommonJS(index_exports);

// src/devcenter-scripts-v1-script-properties-embedded-scripts.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/devcenter-scripts-v1-script-properties-embedded-scripts.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/app-instance-manager-webapp",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/apps",
        destPath: ""
      }
    ],
    "wixapis.com": [
      {
        srcPath: "/apps",
        destPath: ""
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      },
      {
        srcPath: "/api/v1/instance",
        destPath: "/v1/instance"
      },
      {
        srcPath: "/api/v1/scripts",
        destPath: "/v1/scripts"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_app-management_embedded-scripts";
function embedScript(payload) {
  function __embedScript({ host }) {
    const metadata = {
      entityFqdn: "wix.devcenter.scripts.v1.script_properties",
      method: "POST",
      methodFqn: "com.wixpress.market.aim.api.EmbeddedScriptsService.EmbedScript",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl({
        protoPath: "/v1/scripts",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __embedScript;
}
function getEmbeddedScript(payload) {
  function __getEmbeddedScript({ host }) {
    const metadata = {
      entityFqdn: "wix.devcenter.scripts.v1.script_properties",
      method: "GET",
      methodFqn: "com.wixpress.market.aim.api.EmbeddedScriptsService.GetEmbeddedScript",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl({
        protoPath: "/v1/scripts",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __getEmbeddedScript;
}

// src/devcenter-scripts-v1-script-properties-embedded-scripts.universal.ts
async function embedScript2(properties, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    properties,
    componentId: options?.componentId
  });
  const reqOpts = embedScript(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          properties: "$[0]",
          componentId: "$[1].componentId"
        },
        singleArgumentUnchanged: false
      },
      ["properties", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function getEmbeddedScript2(options) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    componentId: options?.componentId
  });
  const reqOpts = getEmbeddedScript(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data)?.properties;
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { componentId: "$[0].componentId" },
        singleArgumentUnchanged: false
      },
      ["options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/devcenter-scripts-v1-script-properties-embedded-scripts.public.ts
function embedScript3(httpClient) {
  return (properties, options) => embedScript2(
    properties,
    options,
    // @ts-ignore
    { httpClient }
  );
}
function getEmbeddedScript3(httpClient) {
  return (options) => getEmbeddedScript2(
    options,
    // @ts-ignore
    { httpClient }
  );
}

// src/devcenter-scripts-v1-script-properties-embedded-scripts.context.ts
var import_rest_modules3 = require("@wix/sdk-runtime/rest-modules");
var embedScript4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(embedScript3);
var getEmbeddedScript4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(getEmbeddedScript3);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  embedScript,
  getEmbeddedScript
});
//# sourceMappingURL=index.js.map