interface ScriptProperties {
    /** Script parameters. */
    parameters?: Record<string, string>;
    /** Whether script is disabled or not. Default: `false` (not disabled). */
    disabled?: boolean;
}
interface EmbedScriptRequest {
    /** Details of the script to embed. */
    properties: ScriptProperties;
    /**
     * Component ID of the embedded script. Available as a query parameter in the embedded script's extension page in the app dashboard.
     * @format GUID
     */
    componentId?: string | null;
}
interface EmbedScriptResponse {
    /** Details of the embedded script. */
    properties?: ScriptProperties;
}
interface GetEmbeddedScriptRequest {
    /**
     * Component ID of the embedded script to retrieve. Available as a query parameter in the embedded script's extension page in the app dashboard.
     * @format GUID
     */
    componentId?: string | null;
}
interface GetEmbeddedScriptResponse {
    /** Details of the retrieved embedded script. */
    properties?: ScriptProperties;
}
interface EmbedScriptByInstanceIdRequest {
    /** @format GUID */
    instanceId?: string;
    /** Parameters to embed */
    properties?: ScriptProperties;
    /** @format GUID */
    componentId?: string | null;
}
interface GetEmbeddedScriptByInstanceIdRequest {
    /** @format GUID */
    instanceId?: string;
    /** @format GUID */
    componentId?: string | null;
}
interface EmbedScriptOptions {
    /**
     * Component ID of the embedded script. Available as a query parameter in the embedded script's extension page in the app dashboard.
     * @format GUID
     */
    componentId?: string | null;
}
interface GetEmbeddedScriptOptions {
    /**
     * Component ID of the embedded script to retrieve. Available as a query parameter in the embedded script's extension page in the app dashboard.
     * @format GUID
     */
    componentId?: string | null;
}

export type { EmbedScriptOptions as E, GetEmbeddedScriptOptions as G, ScriptProperties as S, EmbedScriptResponse as a, EmbedScriptRequest as b, GetEmbeddedScriptRequest as c, GetEmbeddedScriptResponse as d, EmbedScriptByInstanceIdRequest as e, GetEmbeddedScriptByInstanceIdRequest as f };
