// src/devcenter-scripts-v1-script-properties-embedded-scripts.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/app-instance-manager-webapp",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/apps",
        destPath: ""
      }
    ],
    "wixapis.com": [
      {
        srcPath: "/apps",
        destPath: ""
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      },
      {
        srcPath: "/api/v1/instance",
        destPath: "/v1/instance"
      },
      {
        srcPath: "/api/v1/scripts",
        destPath: "/v1/scripts"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_app-management_embedded-scripts";
function embedScript(payload) {
  function __embedScript({ host }) {
    const metadata = {
      entityFqdn: "wix.devcenter.scripts.v1.script_properties",
      method: "POST",
      methodFqn: "com.wixpress.market.aim.api.EmbeddedScriptsService.EmbedScript",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl({
        protoPath: "/v1/scripts",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __embedScript;
}
function getEmbeddedScript(payload) {
  function __getEmbeddedScript({ host }) {
    const metadata = {
      entityFqdn: "wix.devcenter.scripts.v1.script_properties",
      method: "GET",
      methodFqn: "com.wixpress.market.aim.api.EmbeddedScriptsService.GetEmbeddedScript",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl({
        protoPath: "/v1/scripts",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __getEmbeddedScript;
}

// src/devcenter-scripts-v1-script-properties-embedded-scripts.meta.ts
function embedScript2() {
  const payload = {};
  const getRequestOptions = embedScript(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/scripts",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getEmbeddedScript2() {
  const payload = {};
  const getRequestOptions = getEmbeddedScript(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/scripts",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  embedScript2 as embedScript,
  getEmbeddedScript2 as getEmbeddedScript
};
//# sourceMappingURL=meta.mjs.map